Executions

Query execution records and details

List Executions Endpoint

GET
/executions

Query Parameters

status?|

Filter by single status (legacy)

statuses?|

Comma-separated list of statuses (OR'd; takes precedence over status)

started_after?|

Inclusive ISO 8601 lower bound on started_at (timezone required)

started_before?|

Inclusive ISO 8601 upper bound on started_at (timezone required)

q?|

Case-insensitive substring match against execution id, workflow id and workflow name

page?integer

Page number

Default1
Range1 <= value
page_size?integer

Items per page

Default50
Range1 <= value <= 200

Response Body

application/json

application/json

curl -X GET "https://loading/executions"
{
  "executions": [
    {
      "workflow_execution_id": "string",
      "workflow_id": "string",
      "workflow_name": "string",
      "status": "string",
      "started_at": "string",
      "completed_at": "string",
      "completed_phases": 0,
      "total_phases": 0,
      "total_tokens": 0,
      "total_tokens_display": "0",
      "total_input_tokens": 0,
      "total_output_tokens": 0,
      "total_cache_creation_tokens": 0,
      "total_cache_read_tokens": 0,
      "total_cost_usd": "0",
      "total_cost_display": "—",
      "unpriced_observation_count": 0,
      "duration_seconds": 0,
      "duration_display": "—",
      "tool_call_count": 0,
      "error_message": "string",
      "failure_classification": "platform",
      "reported_failure_reason": "task",
      "repos": [
        "string"
      ],
      "repos_display": "string"
    }
  ],
  "total": 0,
  "page": 1,
  "page_size": 50,
  "excluded_undated": 0,
  "status_counts": {
    "property1": 0,
    "property2": 0
  }
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

Get Execution Endpoint

GET
/executions/{execution_id}

Path Parameters

execution_id*string

Response Body

application/json

application/json

curl -X GET "https://loading/executions/string"
{
  "workflow_execution_id": "string",
  "workflow_id": "string",
  "workflow_name": "string",
  "status": "string",
  "started_at": "string",
  "completed_at": "string",
  "phases": [
    {
      "phase_id": "string",
      "name": "string",
      "status": "string",
      "session_id": "string",
      "artifact_id": "string",
      "input_tokens": 0,
      "output_tokens": 0,
      "cache_creation_tokens": 0,
      "cache_read_tokens": 0,
      "total_tokens": 0,
      "duration_seconds": 0,
      "cost_usd": "0",
      "unpriced_observation_count": 0,
      "started_at": "string",
      "completed_at": "string",
      "error_message": "string",
      "deliverable_recovered": false,
      "reported_side_effects": "none",
      "model": "string",
      "requested_model": "string",
      "cost_by_model": {
        "property1": "string",
        "property2": "string"
      },
      "agent_session_ids": [
        "string"
      ],
      "exit_code": 0,
      "observed_branches": [
        {
          "repo": "string",
          "branch": "string",
          "remote": "string",
          "remote_commit": "string",
          "remote_commit_at_phase_start": "string",
          "unpushed_commits": 0
        }
      ],
      "operations": [
        {
          "operation_id": "string",
          "operation_type": "string",
          "timestamp": "string",
          "tool_name": "string",
          "tool_use_id": "string",
          "success": true,
          "error_message": "string"
        }
      ],
      "activity": {
        "telemetry_available": false,
        "operations_count": 0,
        "last_push_at": "2019-08-24T14:15:22Z",
        "seconds_since_last_push": 0,
        "elapsed_seconds": 0,
        "timeout_seconds": 0
      },
      "model_display": "string"
    }
  ],
  "total_phases": 0,
  "completed_phases": 0,
  "total_input_tokens": 0,
  "total_output_tokens": 0,
  "total_cache_creation_tokens": 0,
  "total_cache_read_tokens": 0,
  "total_tokens": 0,
  "total_cost_usd": "0",
  "unpriced_observation_count": 0,
  "cache_read_rate_display": "string",
  "cache_write_rate_display": "string",
  "total_duration_seconds": 0,
  "unknown_duration_phase_count": 0,
  "artifact_ids": [
    "string"
  ],
  "error_message": "string",
  "failure_classification": "platform",
  "reported_failure_reason": "task",
  "deliverable_produced": false,
  "reported_side_effects": "none",
  "repos": [
    "string"
  ],
  "task": "string",
  "inputs": {
    "property1": "string",
    "property2": "string"
  },
  "resume_start": {
    "status": "pending",
    "status_reason": "string",
    "attempts": 0,
    "max_attempts": 0,
    "recorded_at": "2019-08-24T14:15:22Z",
    "dispatched_at": "2019-08-24T14:15:22Z"
  }
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

Get Session Inventory

GET
/executions/{execution_id}/session-inventory

Path Parameters

execution_id*string

Response Body

application/json

application/json

curl -X GET "https://loading/executions/string/session-inventory"
{
  "run": {
    "source_instance_id": "string",
    "execution_id": "string"
  },
  "snapshot": {
    "snapshot_id": "163831af-8c1b-4992-a9cf-88c6306604c0",
    "run": {
      "source_instance_id": "string",
      "execution_id": "string"
    },
    "revision": "string",
    "resolver_version": "string",
    "evidence_watermark": 0,
    "coverage": {
      "state": "unknown",
      "contract_id": "string",
      "expected_count": 0,
      "missing_keys": []
    },
    "counts": {
      "node": 0,
      "membership": 0,
      "edge": 0,
      "capture": 0,
      "gap": 0,
      "retraction": 0,
      "binding": 0,
      "namespaces": [
        {
          "kind": "platform",
          "harness": "string",
          "count": 0
        }
      ]
    }
  },
  "reconstruction_status": "not_started",
  "observed_evidence_watermark": 0,
  "later_evidence_pending": true,
  "job_id": "string",
  "summary": {
    "complete": true,
    "coverage_state": "unknown",
    "coverage_display": "string",
    "revision": "string",
    "distinct_sessions": 0,
    "platform_sessions": 0,
    "invocations": 0,
    "native_transcripts": 0,
    "gaps": 0,
    "namespaces": [
      {
        "namespace": "string",
        "kind": "platform",
        "harness": "string",
        "count": 0
      }
    ],
    "counts_display": "string",
    "remote_replication": "enabled",
    "follow_up_command": "string"
  }
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

Get Session Inventory Page

GET
/executions/{execution_id}/session-inventory/{snapshot_id}/{kind}

Path Parameters

execution_id*string
snapshot_id*string
Formatuuid
kind*string
Value in"node" | "membership" | "edge" | "capture" | "gap" | "retraction" | "binding"

Query Parameters

phase_id?|
attempt_id?|
cursor?|
limit?integer
Default100
Range1 <= value <= 500

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://loading/executions/string/session-inventory/497f6eca-6276-4993-bfeb-53cbbbba6f08/node"
{
  "snapshot": {
    "snapshot_id": "163831af-8c1b-4992-a9cf-88c6306604c0",
    "run": {
      "source_instance_id": "string",
      "execution_id": "string"
    },
    "revision": "string",
    "resolver_version": "string",
    "evidence_watermark": 0,
    "coverage": {
      "state": "unknown",
      "contract_id": "string",
      "expected_count": 0,
      "missing_keys": []
    },
    "counts": {
      "node": 0,
      "membership": 0,
      "edge": 0,
      "capture": 0,
      "gap": 0,
      "retraction": 0,
      "binding": 0,
      "namespaces": [
        {
          "kind": "platform",
          "harness": "string",
          "count": 0
        }
      ]
    }
  },
  "kind": "node",
  "filters": {
    "phase_id": "string",
    "attempt_id": "string"
  },
  "items": [
    {
      "ref": {
        "kind": "platform",
        "source_instance_id": "string",
        "local_id": "string",
        "harness": "string"
      },
      "evidence": []
    }
  ],
  "item_keys": [
    {
      "node_key": "string",
      "peer_key": "string"
    }
  ],
  "next_cursor": "string",
  "body_overrides": [],
  "capture_hashes": []
}
{
  "detail": {
    "code": "cursor_invalid",
    "message": "string",
    "mismatched": [],
    "restart": true,
    "restart_snapshot_id": "string"
  }
}
{
  "detail": {
    "code": "cursor_invalid",
    "message": "string",
    "mismatched": [],
    "restart": true,
    "restart_snapshot_id": "string"
  }
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

Get Session Inventory Node

GET
/executions/{execution_id}/session-inventory/{snapshot_id}/nodes/{node_key}

Path Parameters

execution_id*string
snapshot_id*string
Formatuuid
node_key*string
Match^[a-f0-9]{64}$

Response Body

application/json

application/json

curl -X GET "https://loading/executions/string/session-inventory/497f6eca-6276-4993-bfeb-53cbbbba6f08/nodes/string"
{
  "snapshot_id": "string",
  "node_key": "string",
  "status": "resolved",
  "node": {
    "ref": {
      "kind": "platform",
      "source_instance_id": "string",
      "local_id": "string",
      "harness": "string"
    },
    "evidence": []
  }
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

Refresh Session Inventory

POST
/executions/{execution_id}/session-inventory/reconcile

Path Parameters

execution_id*string

Request Body

application/json

idempotency_key*string
Match^[^\x00]+$
Length1 <= length <= 200
include_history?boolean
Defaultfalse
[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://loading/executions/string/session-inventory/reconcile" \  -H "Content-Type: application/json" \  -d '{    "idempotency_key": "string"  }'
{
  "job_id": "string",
  "history": {
    "receipts": 0,
    "materialized": 0,
    "evidence_watermark": 0
  }
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

Backfill All Session Inventories

POST
/session-inventory/backfill

Request Body

application/json

idempotency_key*string
Match^[^\x00]+$
Length1 <= length <= 200
[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://loading/session-inventory/backfill" \  -H "Content-Type: application/json" \  -d '{    "idempotency_key": "string"  }'
{
  "executions": 0,
  "enqueued": 0
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

Get Session Inventory Job

GET
/session-inventory-jobs/{job_id}

Path Parameters

job_id*string

Response Body

application/json

application/json

curl -X GET "https://loading/session-inventory-jobs/string"
{
  "job_id": "string",
  "run": {
    "source_instance_id": "string",
    "execution_id": "string"
  },
  "stage": "pending",
  "evidence_watermark": 0,
  "snapshot_id": "string",
  "resolver_version": "string",
  "revision": "string",
  "failure_code": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

Get Local Transcript Revision

GET
/executions/{execution_id}/session-transcripts/{archive_hash}

Path Parameters

execution_id*string
archive_hash*string
Match^[a-f0-9]{64}$

Query Parameters

harness*string
Match^[^\x00]+$
Length1 <= length <= 2048
native_id*string
Match^[^\x00]+$
Length1 <= length <= 2048

Response Body

application/json

application/json

curl -X GET "https://loading/executions/string/session-transcripts/string?harness=string&native_id=string"
{
  "status": "present",
  "archive_sha256": "string",
  "content_format": "native",
  "size": 0,
  "redaction": "source",
  "content_base64": "string",
  "conversation": {
    "supported": true,
    "messages": [],
    "truncated": false,
    "issues": [],
    "reader_version": "string"
  }
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

Get Local Transcript Deletion

GET
/executions/{execution_id}/session-transcripts/{archive_hash}/deletion

Path Parameters

execution_id*string
archive_hash*string
Match^[a-f0-9]{64}$

Query Parameters

harness*string
Match^[^\x00]+$
Length1 <= length <= 2048
native_id*string
Match^[^\x00]+$
Length1 <= length <= 2048

Response Body

application/json

application/json

curl -X GET "https://loading/executions/string/session-transcripts/string/deletion?harness=string&native_id=string"
{
  "deletion": {
    "archive_sha256": "string",
    "source_content_hash": "string",
    "reason": "retention_age",
    "local_status": "pending",
    "requested_at": "string",
    "deleted_at": "string",
    "replication": "disabled",
    "replicas": []
  },
  "created": true
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

Delete Local Transcript Revision

POST
/executions/{execution_id}/session-transcripts/{archive_hash}/deletion

Path Parameters

execution_id*string
archive_hash*string
Match^[a-f0-9]{64}$

Request Body

application/json

harness*string
Match^[^\x00]+$
Length1 <= length <= 2048
native_id*string
Match^[^\x00]+$
Length1 <= length <= 2048
reason?string
Default"deletion"
Value in"deletion" | "retraction"
[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://loading/executions/string/session-transcripts/string/deletion" \  -H "Content-Type: application/json" \  -d '{    "harness": "string",    "native_id": "string"  }'
{
  "deletion": {
    "archive_sha256": "string",
    "source_content_hash": "string",
    "reason": "retention_age",
    "local_status": "pending",
    "requested_at": "string",
    "deleted_at": "string",
    "replication": "disabled",
    "replicas": []
  },
  "created": true
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

Revoke Local Transcript Revision

POST
/executions/{execution_id}/session-transcripts/{archive_hash}/revocation

Path Parameters

execution_id*string
archive_hash*string
Match^[a-f0-9]{64}$

Request Body

application/json

harness*string
Match^[^\x00]+$
Length1 <= length <= 2048
native_id*string
Match^[^\x00]+$
Length1 <= length <= 2048
[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://loading/executions/string/session-transcripts/string/revocation" \  -H "Content-Type: application/json" \  -d '{    "harness": "string",    "native_id": "string"  }'
{
  "archive_sha256": "string",
  "status": "withheld",
  "created": true
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

Syntropic137 Docs v0.33.1 · Last updated March 2026

On this page